Docs
BasicsAPI Reference
BasicsAPI Reference
  1. Payments
  • Integration Guide
    • Payments
    • Webhooks
  • Payments
    • Create payment
      POST
    • List payments
      GET
    • Get payment by ID
      GET
  • Webhooks
    • Payment Created
    • Payment Completed
    • Payment Expired
  1. Payments

List payments

GET
/payments
Returns a list of payments with filtering and pagination support

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠401UnauthorizedError
🟠429TooManyRequests
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.woldy.xyz/v1/payments?search=undefined&ids=undefined&statuses=undefined&sources=undefined&unexpected=undefined&created_at_from=undefined&created_at_to=undefined&completed_at_from=undefined&completed_at_to=undefined&limit=undefined&offset=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
200 - List of payments
{
    "items": [
        {
            "id": "p_AbCdEf123456",
            "external_id": "order_12345",
            "status": "COMPLETED",
            "source": "PAYMENT_LINK",
            "amount": {
                "name": "USD Coin",
                "symbol": "USDC",
                "decimals": 6,
                "value": "49.990000"
            },
            "unexpected": false,
            "message": "Payment for order",
            "payment_url": "https://gateway.woldy.xyz/p/p_AbCdEf123456",
            "return_url": "https://example.com/success",
            "expires_at": "2026-01-20T12:00:00Z",
            "completed_at": "2026-01-17T10:30:00Z",
            "created_at": "2026-01-17T10:00:00Z"
        },
        {
            "id": "p_XyZ789AbCdEf",
            "external_id": "order_12346",
            "status": "PENDING",
            "source": "API",
            "amount": {
                "name": "USD Coin",
                "symbol": "USDC",
                "decimals": 6,
                "value": "150.000000"
            },
            "unexpected": false,
            "message": "Payment for subscription",
            "payment_url": "https://gateway.woldy.xyz/p/p_XyZ789AbCdEf",
            "return_url": "https://example.com/return",
            "expires_at": "2026-01-18T12:00:00Z",
            "created_at": "2026-01-17T11:00:00Z"
        }
    ],
    "meta": {
        "total": 42,
        "offset": 0,
        "limit": 50,
        "next": "https://api.woldy.xyz/v1/payments?limit=50&offset=50"
    }
}
Modified at 2026-02-05 06:19:57
Previous
Create payment
Next
Get payment by ID
Built with